/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.modelsconference;

/**
 * Static field for the unique identifiers of the models conference platform.
 * 
 * @author hoelzl
 */
// this code is really self-explanatory
@SuppressWarnings("javadoc")
public final class UniqueIdentifiers {
	// LCD
	public static String LCD_UID = "LCD";
	// Buttons
	public static String BUTTON_LEFT_UID = "BTN_LFT";
	public static String BUTTON_RIGHT_UID = "BTN_RGHT";
	public static String BUTTON_A_UID = "BTN_A";
	public static String BUTTON_B_UID = "BTN_B";
	public static String BUTTON_C_UID = "BTN_C";
	public static String BUTTON_D_UID = "BTN_D";
	// LEDs
	public static String LED_LEFT_UID = "LED_LFT";
	public static String LED_RIGHT_UID = "LED_RGHT";
	public static String LED_RED_UID = "LED_RED";
	public static String LED_WHITE_UID = "LED_WHT";
	// Potis
	public static String POTI_LEFT_UID = "POTI_LFT";
	public static String POTI_RIGHT_UID = "POTI_RGHT";
}
